<?php
/**
 * @package		JSMigrator
 * @copyright (C) 2008 by Slashes & Dots Sdn Bhd - All rights reserved!
 * @license http://www.azrul.com Copyrighted Commercial Software
 */

// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 * Jom Social Table Model
 */ 
 
class JsmigratorTableMigratorFields extends JTable
{
	var $id				= null;
	var $cb_fieldid		= null;
	var $js_fieldid		= null;
	var $js_parentid	= null;
	var $type			= null;		
	var $status			= null;
	var $description	= null;
	
	function __construct(&$db)
	{
		parent::__construct('#__jsmigrator_migrator_fields','id', $db);
	}
	
	function getFieldGroups()
	{
		$db		=& JFactory::getDBO();
		
		$query	=	"SELECT * FROM `#__jsmigrator_migrator_fields`";
		$query	.=	" WHERE `type` = 'group'";
		$query	.=	" AND `status` = 1";
		$query	.=	" ORDER BY `id` ASC";
		
		$db->setQuery( $query );
		$result	= $db->loadObjectList();
		
		return $result;
	}
	
	function getFields($groupId)
	{
		$db		=& JFactory::getDBO();
		
		$query	=	"SELECT a.*, b.`name`, b.`title`, b.`description`, b.`type` as `cbtype` ";
		$query	.=	" FROM `#__jsmigrator_migrator_fields` AS a INNER JOIN `#__comprofiler_fields` AS b";
		$query	.= 	" ON a.`cb_fieldid` = b.fieldid";
		$query	.=	" WHERE a.`type` = 'field'";
		$query	.=	" AND a.`js_parentid` = ".$groupId;
		$query	.=	" AND a.`status` = 1";		
		$query	.=	" ORDER BY a.`id` ASC";
		
		$db->setQuery( $query );
		$result	= $db->loadObjectList();
		
		return $result;	
	}
	
}