<?php
/**
 * @package		JSMigrator
 * @copyright (C) 2008 by Slashes & Dots Sdn Bhd - All rights reserved!
 * @license http://www.azrul.com Copyrighted Commercial Software
 */

// Disallow direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 * Jom Social Table Model
 */ 
 
class JsmigratorTableMigrator extends JTable
{
	var $id				= null;
	var $table_name		= null;
	var $user_id		= null;
	var $status			= null;
	var $description	= null;
	
	function __construct(&$db)
	{
		parent::__construct('#__jsmigrator_migrator','id', $db);
	}


	function isCbFieldsProcessed($userId)
	{
		$db		=& JFactory::getDBO();
		
		$query = "SELECT count(id) as `count` FROM `#__jsmigrator_migrator` WHERE `table_name` = 'comprofiler'";
		$query .= " AND `user_id` = ".$userId;
		$query .= " AND `status` = 1";

		$db->setQuery( $query );
		$count	= $db->loadResult();
		
		return ($count > 0) ? true : false;
	}
	
	function isConnectionProcessed($userId)
	{
		$db		=& JFactory::getDBO();
		
		$query = "SELECT count(id) as `count` FROM `#__jsmigrator_migrator` WHERE `table_name` = 'comprofiler_members'";
		$query .= " AND `user_id` = ".$userId;
		$query .= " AND `status` = 1";

		$db->setQuery( $query );
		$count	= $db->loadResult();
		
		return ($count > 0) ? true : false;
	}
	
	function isCommunityUserCreated($userId)
	{
		$db		=& JFactory::getDBO();
		
		$query = "SELECT count(userid) as `count` FROM `#__community_users`";		
		$query .= " WHERE `userid` = ".$userId;
		
		$db->setQuery( $query );
		$count	= $db->loadResult();
		
		return ($count > 0) ? true : false;
	}
	
	function createCommunityUser($userId)
	{
	
		// We need to create a new record for this specific user first.
		//$ini	= JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_community' . DS . 'default.ini';
		$db		=& JFactory::getDBO();
		//$config	=& JFactory::getConfig($ini, 'ini');
		
		$tblConfig	=& JTable::getInstance( 'configuration' , 'JsmigratorTable' );
		$tblConfig->load( 'config' );
		
		$config	= 	new JParameter($tblConfig->params);
		
		$obj = new stdClass();
				
		$obj->userid	= $userId;
		$obj->points	= 0;
		$obj->thumb		= 'components/com_community/assets/default_thumb.jpg';
		$obj->avatar	= 'components/com_community/assets/default.jpg';
		
		// Load default params				
		$obj->params = "notifyEmailSystem=" . $config->get('privacyemail') . "\n"
					 . "privacyProfileView=" . $config->get('privacyprofile') . "\n"
					 . "privacyPhotoView=" . $config->get('privacyphotos') . "\n"
					 . "privacyFriendsView=" . $config->get('privacyfriends') . "\n"
					 . "privacyVideoView=1\n"
					 . "notifyEmailMessage=" . $config->get('privacyemailpm') . "\n"
					 . "notifyEmailApps=" . $config->get('privacyapps') . "\n";
		
		$db->insertObject( '#__community_users' , $obj );
		
		if($db->getErrorNum())
		{
			JError::raiseError( 500, $db->stderr());
		}
	
		return true;
	}
	
	function getCbViewCount($userId)
	{
		$db		=& JFactory::getDBO();
		
		$query	=	"SELECT SUM(viewscount) AS `cnt` FROM `#__comprofiler_views`";
		$query	.=	" WHERE profile_id = ".$userId;

		$db->setQuery( $query );
		$count	= $db->loadResult();
		$count	= (empty($count)) ? 0 : $count;
		
		return $count;
	}	
	
	
}